Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class PresentationStyleConverter

    java.lang.Object
      writer2latex.xhtml.ConverterHelper
          writer2latex.xhtml.StyleConverterHelper
              writer2latex.xhtml.StyleWithPropertiesConverterHelper
                  writer2latex.xhtml.FrameStyleConverter
                      writer2latex.xhtml.PresentationStyleConverter

    public class PresentationStyleConverter

extends FrameStyleConverter

This class converts OpenDocument presentation styles to CSS2 styles. Presentation styles are special frame styles, used to style the standard elements in a presentation (title, subtitle and textbox)

Field Summary
`(package private) ExportNameCollection` | `outlineStyleNames`
`(package private) java.util.Hashtable` | `outlineStyles`
`(package private) java.lang.String` | `sCurrentOutlineStyle`

Fields inherited from class writer2latex.xhtml.StyleConverterHelper
`bConvertHard, bConvertStyles, nType, styleMap, styleNames`

Fields inherited from class writer2latex.xhtml.ConverterHelper
`config, converter, ofr`

Constructor Summary
`PresentationStyleConverter(OfficeReader ofr, Config config, Converter converter, int nType)` Create a new `PresentationStyleConverter`

Method Summary
`void` | `applyOutlineStyle(int nLevel, StyleInfo info)`
`void` | `enterOutline(java.lang.String sStyleName)`
`void` | `exitOutline()`
`java.lang.String` | `getClassNamePrefix()` Return a prefix to be used in generated css class names
`java.lang.String` | `getDefaultTagName(StyleWithProperties style)` Create default tag name to represent a presentation object
`java.lang.String` | `getStyleDeclarations(java.lang.String sIndent)` Convert style information for used styles
`OfficeStyleFamily` | `getStyles()` Get the family of presentation styles

Methods inherited from class writer2latex.xhtml.FrameStyleConverter
`applyProperties, borderScale, cssBackground, cssBackgroundCommon, cssBorder, cssBox, cssMargins, cssPadding`

Methods inherited from class writer2latex.xhtml.StyleWithPropertiesConverterHelper
`applyStyle`

Methods inherited from class writer2latex.xhtml.StyleConverterHelper
`applyDirection, applyLang, colScale, scale`

Methods inherited from class writer2latex.xhtml.ConverterHelper
`applyStyle, getCellSc, getDrawCv, getFrameSc, getListSc, getMathCv, getPageSc, getParSc, getPresentationSc, getRowSc, getSectionSc, getStyleCv, getTableCv, getTableSc, getTextCv, getTextSc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sCurrentOutlineStyle

    java.lang.String sCurrentOutlineStyle

### outlineStyles

    java.util.Hashtable outlineStyles

### outlineStyleNames

    ExportNameCollection outlineStyleNames

Constructor Detail

### PresentationStyleConverter

    public PresentationStyleConverter(OfficeReader ofr,
                                      Config config,
                                      Converter converter,
                                      int nType)

  Create a new `PresentationStyleConverter`

  Parameters:
    `ofr` - an `OfficeReader` to read style information from
    `config` - the configuration to use
    `converter` - the main `Converter` class
    `nType` - the type of xhtml to use

Method Detail

### getClassNamePrefix

    public java.lang.String getClassNamePrefix()

  Return a prefix to be used in generated css class names

  Overrides:
    `getClassNamePrefix` in class `FrameStyleConverter`
  Returns:
    the prefix

### getStyles

    public OfficeStyleFamily getStyles()

  Get the family of presentation styles

  Overrides:
    `getStyles` in class `FrameStyleConverter`
  Returns:
    the style family

### getDefaultTagName

    public java.lang.String getDefaultTagName(StyleWithProperties style)

  Create default tag name to represent a presentation object

  Overrides:
    `getDefaultTagName` in class `FrameStyleConverter`
  Parameters:
    `style` - to use
  Returns:
    the tag name.

### getStyleDeclarations

    public java.lang.String getStyleDeclarations(java.lang.String sIndent)

  Convert style information for used styles

  Overrides:
    `getStyleDeclarations` in class `FrameStyleConverter`
  Parameters:
    `sIndent` - a String of spaces to add before each line

### enterOutline

    public void enterOutline(java.lang.String sStyleName)

### exitOutline

    public void exitOutline()

### applyOutlineStyle

    public void applyOutlineStyle(int nLevel,
                                  StyleInfo info)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD